package com.yuji.ec.db;

import java.util.List;

import android.database.sqlite.SQLiteDatabase;

public interface IDao<T> {
	public void onCreate(SQLiteDatabase db);
	public void init(SQLiteDatabase db);
	public void start(SQLiteDatabase db);
	public List<Note> search();
	public void add(T arg0);
}